
package org.sablecc.sablecc;

import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.Reader;
import java.nio.charset.StandardCharsets;
import java.util.Properties;

public class Version
{
  public static final String VERSION;
  static
  {
    final Properties buildProperties = new Properties();
    final InputStream is = Version.class.getResourceAsStream("build.properties");
    if(is == null)
    {
      throw new IllegalStateException("Build properties not found, this should never happen!");
    }
    else
    {
      try(final Reader r = new InputStreamReader(is, StandardCharsets.UTF_8))
      {
        buildProperties.load(r);
      }
      catch(final IOException e)
      {
        throw new IllegalStateException("IOException while loading build properties, this should never happen!", e);
      }
    }
    VERSION = buildProperties.getProperty("version");
  }
}
